package com.dsic.gj_erp.bean.sy;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 管系系统数据
 * </p>
 *
 * @author xhj
 * @since 2021-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmPipeSystem对象", description="管系系统数据")
public class DmPipeSystem implements Serializable {



    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    @ApiModelProperty(value = "工程编号 Q11")
    private String project;

    @ApiModelProperty(value = "所属部门 默认02")
    private String departCode;

    //@Dict(dictCode = "test_code")
    @ApiModelProperty(value = "系统代号 Q12")
    private String stCode;

    @ApiModelProperty(value = "系统名称 Q21")
    private String stName;

    @ApiModelProperty(value = "四大系统标识 默认N")
    private String stFlag;

    @ApiModelProperty(value = "系统英文名称")
    private String stEname;

    private String stDwgno;

    private String bzry;

    private String bzrq;

    private String remark;

    private String jjCode;


}
