package com.dsic.gj_erp.bean.sy;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
@ApiModel("菜单功能表")
@Entity
@Table(name = "syfunp")
@Data
@IdClass(Syfunp.PrimaryKey.class)
public class Syfunp {

    private String CKDM;
    @Id
    private String MS;
    private String GNLX;
    @Id
    private String ZXTBM;
    private String CKCS;
    @Id
    private String GNLB;
    private String YLZD1;
    private String YLZD2;
    private String YLZD3;
    private BigDecimal YLZD4;
    private BigDecimal YLZD5;
    private BigDecimal YLZD6;

    @Data
    public static class PrimaryKey implements Serializable {

        private String MS;
        private String ZXTBM;
        private String GNLB;

    }
}
