package com.dsic.gj_erp.controller.jcsj;

import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jcsj.DmCbxxp;
import com.dsic.gj_erp.service.jcsj.DmCbxxpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-09-11
 */
@RestController
@RequestMapping("/dmCbxxp")
public class DmCbxxpController {

    @Autowired
    DmCbxxpService dmCbxxpService;

    @PostMapping("/getList")
    @AuthFunction
    public ResultBean getList(@RequestBody Map map){
        List<DmCbxxp> list = dmCbxxpService.getList(map);
        return  new ResultBean(list);
    }


    @PostMapping("del")
    @AuthFunction

    public ResultBean del(@RequestBody List<DmCbxxp>dmCbxxps){
        dmCbxxpService.del(dmCbxxps);
        return new ResultBean();
    }


    @PostMapping("edit")
    @AuthFunction

    public ResultBean edit(@RequestBody List<DmCbxxp>dmCbxxps){
        dmCbxxpService.edit(dmCbxxps);
        return new ResultBean();
    }


    @PostMapping("add")
    @AuthFunction

    public ResultBean add (@RequestBody List<DmCbxxp>dmCbxxps,HttpServletRequest request){
        dmCbxxpService.add(dmCbxxps,request);
        return new ResultBean();
    }


}

