package com.dsic.gj_erp.service.zyjh;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.bean.zyjh.YcldwInfo;
import com.dsic.gj_erp.controller.zyjh.dto.ShangLiao;
import com.dsic.gj_erp.mapper.zyjh.YcldwInfoMapper;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.ArrayList;
import java.util.List;

@Service
public class YcldwInfoService extends ServiceImpl<YcldwInfoMapper, YcldwInfo> {

    public YcldwInfo updateForSl(ShangLiao sl){
        YcldwInfo info=YcldwInfo.ofSl(sl);
        baseMapper.insert(info);
        return info;
    }

    public void daoduo(Integer id,int y){
        baseMapper.daoduo(id,y);
    }

    @Transactional(rollbackOn = Exception.class)
    public void updatePw(YcldwInfo info){
        this.removeById(info.getId());
//        baseMapper.pwfk(info.getCeng(),info.getDwId());
    }

    @Transactional(rollbackOn = Exception.class)
    public List<YcldwInfo> updatePwWeb(List<DmYdjh> list){
        List<YcldwInfo> ad =new ArrayList<>();
                for(DmYdjh info :list){
                    YcldwInfo ydid = this.getOne(new QueryWrapper<YcldwInfo>().eq("ydid", info.getId()));
                    if(null!= ydid){
                        ad.add(ydid);
                    }
                    this.remove(new QueryWrapper<YcldwInfo>().eq("ydid",info.getId()));

                }


            return ad;
    }
}
